OpenNMS API 1.2.9

## org.opennms.core.utils
Class JavaMailer

    java.lang.Object
      org.opennms.core.utils.JavaMailer

public class JavaMailer
extends java.lang.Object

Sends an email message using the Java Mail API

Author:
  David Hustace TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`private boolean` `_authenticate`
`private java.lang.String` `_fileName`
`private java.lang.String` `_from`
`private java.lang.String` `_mailer`
`private java.lang.String` `_mailHost`
`private java.lang.String` `_messageText`
`private java.lang.String` `_password`
`private java.lang.String` `_subject`
`private java.lang.String` `_to`
`private java.lang.String` `_transport`
`private boolean` `_useJMTA`
`private java.lang.String` `_user`
`private boolean` `DEFAULT_AUTHENTICATE`
`private java.lang.String` `DEFAULT_AUTHENTICATE_PASSWORD`
`private java.lang.String` `DEFAULT_AUTHENTICATE_USER`
`private java.lang.String` `DEFAULT_FROM_ADDRESS`
`private java.lang.String` `DEFAULT_MAIL_HOST`
`private java.lang.String` `DEFAULT_MAILER`
`private boolean` `DEFAULT_MAILER_DEBUG`
`private java.lang.String` `DEFAULT_TRANSPORT`
`private boolean` `DEFAULT_USE_JMTA`

Constructor Summary
`JavaMailer()`

Method Summary
`java.lang.String` `getFileName()`
`java.lang.String` `getFrom()`
`java.lang.String` `getMailer()`
`java.lang.String` `getMailHost()`
`java.lang.String` `getMessageText()`
`java.lang.String` `getPassword()`
`java.lang.String` `getSubject()`
`java.lang.String` `getTo()`
`java.lang.String` `getUser()`
`boolean` `isAuthenticate()`
`boolean` `isUseJMTA()`
`void` `mailSend()`
`void` `setAuthenticate(boolean authenticate)`
`void` `setFileName(java.lang.String fileName)`
`void` `setFrom(java.lang.String from)`
`void` `setMailer(java.lang.String mailer)`
`void` `setMailHost(java.lang.String mail_host)`
`void` `setMessageText(java.lang.String messageText)`
`void` `setPassword(java.lang.String password)`
`void` `setSubject(java.lang.String subject)`
`void` `setTo(java.lang.String to)`
`void` `setUseJMTA(boolean useMTA)`
`void` `setUser(java.lang.String user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_FROM_ADDRESS

    private final java.lang.String DEFAULT_FROM_ADDRESS

### DEFAULT_MAIL_HOST

    private final java.lang.String DEFAULT_MAIL_HOST

### DEFAULT_AUTHENTICATE

    private final boolean DEFAULT_AUTHENTICATE

### DEFAULT_AUTHENTICATE_USER

    private final java.lang.String DEFAULT_AUTHENTICATE_USER

### DEFAULT_AUTHENTICATE_PASSWORD

    private final java.lang.String DEFAULT_AUTHENTICATE_PASSWORD

### DEFAULT_MAILER

    private final java.lang.String DEFAULT_MAILER

### DEFAULT_TRANSPORT

    private final java.lang.String DEFAULT_TRANSPORT

### DEFAULT_MAILER_DEBUG

    private final boolean DEFAULT_MAILER_DEBUG

### DEFAULT_USE_JMTA

    private final boolean DEFAULT_USE_JMTA

### _mailHost

    private java.lang.String _mailHost

### _useJMTA

    private boolean _useJMTA

### _mailer

    private java.lang.String _mailer

### _transport

    private java.lang.String _transport

### _to

    private java.lang.String _to

### _from

    private java.lang.String _from

### _authenticate

    private boolean _authenticate

### _user

    private java.lang.String _user

### _password

    private java.lang.String _password

### _subject

    private java.lang.String _subject

### _messageText

    private java.lang.String _messageText

### _fileName

    private java.lang.String _fileName

Constructor Detail

### JavaMailer

    public JavaMailer()

Method Detail

### getFrom

    public java.lang.String getFrom()

  Returns:
    Returns the from address.

### setFrom

    public void setFrom(java.lang.String from)

  Parameters:
    `from` - The from address to set.

### isAuthenticate

    public boolean isAuthenticate()

  Returns:
    Returns the authenticate boolean.

### setAuthenticate

    public void setAuthenticate(boolean authenticate)

  Parameters:
    `authenticate` - The authenticate boolean to set.

### getFileName

    public java.lang.String getFileName()

  Returns:
    Returns the file name attachment.

### setFileName

    public void setFileName(java.lang.String fileName)

### getMailHost

    public java.lang.String getMailHost()

  Returns:
    Returns the mail host.

### setMailHost

    public void setMailHost(java.lang.String mail_host)

  Parameters:
    `mail_host` - Sets the mail host.

### getMailer

    public java.lang.String getMailer()

  Returns:
    Returns the mailer.

### setMailer

    public void setMailer(java.lang.String mailer)

  Parameters:
    `mailer` - Sets the mailer.

### getMessageText

    public java.lang.String getMessageText()

  Returns:
    Returns the message text.

### setMessageText

    public void setMessageText(java.lang.String messageText)

  Parameters:
    `messageText` - Sets the message text.

### getSubject

    public java.lang.String getSubject()

  Returns:
    Returns the message Subject.

### setSubject

    public void setSubject(java.lang.String subject)

  Parameters:
    `subject` - Sets the message Subject.

### getTo

    public java.lang.String getTo()

  Returns:
    Returns the To address.

### setTo

    public void setTo(java.lang.String to)

  Parameters:
    `to` - Sets the To address.

### mailSend

    public void mailSend()
                  throws JavaMailerException

  Throws:
    `JavaMailerException`

### getPassword

    public java.lang.String getPassword()

  Returns:
    Returns the password.

### setPassword

    public void setPassword(java.lang.String password)

  Parameters:
    `password` - The password to set.

### getUser

    public java.lang.String getUser()

  Returns:
    Returns the user.

### setUser

    public void setUser(java.lang.String user)

  Parameters:
    `user` - The user to set.

### isUseJMTA

    public boolean isUseJMTA()

  Returns:
    Returns the _useMailHost.

### setUseJMTA

    public void setUseJMTA(boolean useMTA)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.